<?php
$must_cache=false;
$optres['js'][] = $path . 'amodules/404/js/404.js';
if(!function_exists("t")) {
	function t($val) {
		return $val;
	}
}

function search_engine_query_string($url = false) {

    if(!$url && !$url = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : false) {
        return '';
    }

    $parts_url = parse_url($url);
    $query = isset($parts_url['query']) ? $parts_url['query'] : (isset($parts_url['fragment']) ? $parts_url['fragment'] : '');
    if(!$query) {
        return '';
    }
    parse_str($query, $parts_query);
    return isset($parts_query['q']) ? $parts_query['q'] : (isset($parts_query['p']) ? $parts_query['p'] : '');

}

$seqs = search_engine_query_string(false);
if($seqs != "") {
	?>
	
	<?php
}
else {
	//
}

?>
<style type="text/css">
div.error_404 {
	margin: 3px;
}
p.error_404_pathbar {
    background-color: #EFEFEF;
    border-bottom: 1px solid silver;
    font-weight: bold;
    line-height: 1.3em;
    margin: 0 0 12px;
    padding: 3px 5px;
}

h1.error_404 {
    color: #000000;
    font-size: 18px;
    margin: 20px 0;
    padding: 5px 20px;
    text-align: left;
}

p.error_404_excuse {
    color: #000000;
    font-size: 12px;
    margin: 0;
    padding: 2px 20px;
    text-align: left;
}

div.error_404 ul {
    margin: 0 20px;
    padding: 0 20px;
}

#goog-fixurl {
	margin: 3px;
    border: 1px solid silver;
}

#goog-fixurl h3 {
    color: #333333;
    margin: 0;
    padding: 5px;
}

</style>
<div class="error_404">
	<p class="error_404_pathbar">
		<span class="pathtitle">Path</span> // <a id="url" class="error_404_nav1" href="<?php echo $protocol . $ultra_domainname;?>"><?php echo $ultra_domainname;?></a> &raquo; Page not found</p>
	<h1 class="error_404"><?php echo t("We're unable to locate the page you requested.");?></h1>
	<p class="error_404_excuse"><b><?php echo t("The page may have moved or may no longer be available.");?></b></p>
	<p class="error_404_excuse">
		<?php echo t("We want to help you find what you're looking for. Here are some suggestions:");?> <br/>
		<ul>
			<li><?php echo t("You can navigate to our ");?> <a href="<?php echo $protocol . $ultra_domainname;?>" class="error_404_nav2"><?php echo t("Homepage");?></a>.</li>
			<li><?php echo t("Search our website using the search tool below.");?></li>
		</ul>
	</p>
</div>
<br/>

<script type="text/javascript">
	var GOOG_FIXURL_LANG = 'en';
	var GOOG_FIXURL_SITE = '<?php echo $protocol . 'www.'. str_replace('www.', '', $ultra_domainname); ?>';
</script>
<script src="//linkhelp.clients.google.com/tbproxy/lh/wm/fixurl.js"></script>

<?php
/*echo $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . '?' .  $_SERVER['QUERY_STRING'] . '|';
echo '<br>' . $_SERVER['QUERY_STRING'] . '|';*/
if($_SERVER['HTTP_HOST'] == "www.cyprus-hotel.com") {
	$webpage_title_en = "Error 410 - Page is gone";
	$meta['description'] = "Error 410 - Page is gone";

}
else {
	$webpage_title_en = "Error 404 - Page not found";
	$meta['description'] = "Error 404 - Page not found";
	
}
$meta['keywords']= "";
$send404 = true;
?>